<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/tabs/tab3/{{id}}"></ion-back-button>
      <p>Editar perfil</p>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>


  <form [formGroup]="editProfileForm" (ngSubmit)="submitForm()">
    <ion-list>
      <h1>Suas informações pessoais</h1>
      <ion-item class="editProfile" >
        <ion-label position="floating">Nome de usuário</ion-label>
        <ion-input type="text" formControlName="user_name"></ion-input>
      </ion-item>

      <ion-item class="editProfile" >
        <ion-label position="floating">Nome</ion-label>
        <ion-input type="text" formControlName="name"></ion-input>
      </ion-item>

      <ion-item class="editProfile" >
        <ion-label position="floating">Email</ion-label>
        <ion-input type="text" formControlName="email"></ion-input>
      </ion-item>

      <ion-item class="editProfile" >
        <ion-label position="floating">Capa</ion-label>
        <ion-input placeholder="url da imagem" type="text" formControlName="user_cover"></ion-input>
      </ion-item>

      <ion-item class="editProfile" >
        <ion-label position="floating">Avatar</ion-label>
        <ion-input placeholder="url da imagem" type="text" formControlName="user_avatar"></ion-input>
      </ion-item>


      <h1>Alterar senha</h1>

      <ion-item class="editProfile" >
        <ion-label position="floating">Nova senha</ion-label>
        <ion-input type="text" formControlName="password"></ion-input>
      </ion-item>

      <ion-row class="ion-justify-content-start">
        <ion-button type="submit"  shape="round" color="roxinho" class="save">Salvar alterações</ion-button>
      </ion-row>
    </ion-list>
  </form>

  <ion-row class="ion-justify-content-start">
    <ion-button class="logout" fill="outline" shape="round" color="roxinho" (click)='logout()'>Deslogar</ion-button>
  </ion-row>


</ion-content>
